/* Copyright 2013 Robert Edward Steckroth II <RobertSteckroth@gmail.com> Bust0ut, Surgemcgee

* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; version 3.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem

ListItem.Empty {
    id: currentStocksComponent
    width: parent.width
    height: children[0].height+5
    Row {
        width: parent.width
        Text {
            width: Math.floor(parent.width * .48)
            font.bold: true
            font.pixelSize: FontUtils.sizeToPixels("large")
            text: i18n.tr(cmpy_name.substr(0, 10))
            color: current_index == index ? "#BD732F" : "#1A0F04"
            MouseArea {
                anchors.fill: parent
                onClicked: mainViewCurrent.currentIndex = index;
            }
        }
        Text {
            width: Math.floor(parent.width * .26)
            text: i18n.tr(getPrice(price, close, open))
            font.bold: true
            font.pixelSize: FontUtils.sizeToPixels("large")
            color: "#191919"
            MouseArea {
                anchors.fill: parent
                onClicked: mainViewCurrent.currentIndex = index;
            }
        }
        Item {
            width: Math.floor(parent.width * .26)
            height: childrenRect.height
            Text {
                anchors.right: parent.right
                width: dummyTextWidth
                text: priceFormat === "%" ? '' : '%'
                font.pixelSize: FontUtils.sizeToPixels("medium")
                color: "#1A0F04"
                Text { visible: false; font: parent.font; text: { dummyTextWidth = width; i18n.tr('%') }  }  // Get the width of the percent sign we use
                Text {
                    anchors.right: parent.left
                    text: i18n.tr(getChangedAmount(close, getPrice(price, close, open), priceFormat))  // This will change when ther modelList attr priceFormat is changed
                    font.pixelSize: FontUtils.sizeToPixels("large")
                    color: {
                        if ( getChangedAmount(close, getPrice(price, close, open), 'goNegative') < 0 ) "#631308"
                        else if ( getChangedAmount(close, getPrice(price, close, open), 'goNegative') > 0 )  "#0D5006"
                        else "black"
                    }

                }
            }
            MouseArea {
                anchors.fill: parent
                onClicked:  currentStocksList.setProperty(index, "priceFormat", priceFormat === "%" ? "$" : "%")
            }
        }
    }
}



